<?php
/**
 * Sleepy - a REST framework
 *
 *
 * A PHP Rest Framework valuing convention over configuration,
 * but aiming to be as flexible as possible
 *
 * @author Timothy J. Warren
 * @package Sleepy/core
 */

namespace Sleepy\core;

/**
 * Interface for output formats
 */
interface iType {

	/**
	 * Convert the data to the output format
	 *
	 * @param mixed $data
	 * @return string
	 */
	public function serialize($data);

	/**
	 * Convert the format to php data
	 *
	 * @param string $data_string
	 * @return mixed
	 */
	public function unserialize($data_string);

}
// End of core/iType.php